Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch
Summary: All XSLT testing singleBranchMode = 0 fails to show even if install has only ...
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18226
  Show dependency treegraph
 
Reported: 2017-02-09 11:47 UTC by Kyle M Hall
Modified: 2017-03-07 16:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18089 - Unit test (1021 bytes, patch)
2017-02-09 11:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch (1.10 KB, patch)
2017-02-09 11:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18089 - Unit test (1.12 KB, patch)
2017-02-09 11:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch (1.22 KB, patch)
2017-02-09 11:53 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18089 - Unit test (1.15 KB, patch)
2017-02-09 11:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch (1.22 KB, patch)
2017-02-09 11:55 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18089 - Unit test (1.20 KB, patch)
2017-02-09 12:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch (1.27 KB, patch)
2017-02-09 12:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18089: Remove warnings from tests using DBIx::Class fixtures (1.39 KB, patch)
2017-02-09 12:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-02-09 11:47:17 UTC
Due to the way it has been implemented, singleBranchMode is set to an empty string rather than 0 if there is only one branch. This causes any block that tests for singleBranchMOde to be 0 to never appear.
Comment 1 Kyle M Hall 2017-02-09 11:49:27 UTC
Created attachment 60055 [details] [review]
Bug 18089 - Unit test
Comment 2 Kyle M Hall 2017-02-09 11:49:34 UTC
Created attachment 60056 [details] [review]
Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch

Due to the way it has been implemented, singleBranchMode is set to an
empty string rather than 0 if there is only one branch. This causes any
block that tests for singleBranchMOde to be 0 to never appear.

Test Plan:
1) Apply this patch set
2) prove t/XSLT.t
Comment 5 Kyle M Hall 2017-02-09 11:55:51 UTC
Created attachment 60061 [details] [review]
[SIGNED-OFF] Bug 18089 - Unit test

Signed-off-by: Jenny Schmidt <jschmidt@switchinc.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2017-02-09 11:55:57 UTC
Created attachment 60062 [details] [review]
[SIGNED-OFF] Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch

Due to the way it has been implemented, singleBranchMode is set to an
empty string rather than 0 if there is only one branch. This causes any
block that tests for singleBranchMOde to be 0 to never appear.

Test Plan:
1) Apply this patch set
2) prove t/XSLT.t

Signed-off-by: Jenny Schmidt <jschmidt@switchinc.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Jonathan Druart 2017-02-09 12:14:18 UTC
Created attachment 60065 [details] [review]
Bug 18089 - Unit test

Signed-off-by: Jenny Schmidt <jschmidt@switchinc.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 8 Jonathan Druart 2017-02-09 12:14:57 UTC
Created attachment 60066 [details] [review]
Bug 18089 - All XSLT testing singleBranchMode = 0 fails to show even if install has only 1 branch

Due to the way it has been implemented, singleBranchMode is set to an
empty string rather than 0 if there is only one branch. This causes any
block that tests for singleBranchMOde to be 0 to never appear.

Test Plan:
1) Apply this patch set
2) prove t/XSLT.t

Signed-off-by: Jenny Schmidt <jschmidt@switchinc.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Jonathan Druart 2017-02-09 12:15:00 UTC
Created attachment 60067 [details] [review]
Bug 18089: Remove warnings from tests using DBIx::Class fixtures

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Kyle M Hall 2017-02-14 14:08:12 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 11 Katrin Fischer 2017-02-14 20:45:07 UTC
These patches have been pushed to 16.11.x and will be in 16.11.04.
Comment 12 Mason James 2017-02-23 20:21:37 UTC
Pushed to 16.05.x, for 16.05.10 release